import Vue from 'vue'
import App from './App'
import global from '../src/components/global'
import 'weapp-cookie'

//全局处理重复页面跳转详情初始化,和详情跳详情返回的bug
import MyPlugin from './minxins'
Vue.use(MyPlugin)

// 


//引入store
import store from './store/index'
//把store挂载到全局
Vue.prototype.$store = store;

Vue.config.productionTip = false
App.mpType = 'app'

const app = new Vue(App)
app.$mount()
Vue.prototype.GLOBAL = global
//

export default {
  // 这个字段走 app.json
  config: {
    // 页面前带有 ^ 符号的，会被编译成首页，其他页面可以选填，我们会自动把 webpack entry 里面的入口页面加进去
    "pages": ["pages/refundlist/main",
      "pages/returnapply/main",
      "pages/myview/main",
      "pages/certification/main",
      "pages/explosion/main",
      "pages/shopguideall/main",
      "pages/aboutus/main",
      "pages/mygoods/main",
      "pages/myvideo/main",
      "pages/activity/main",
      "pages/activityDetails/main",
      "pages/feedback/main",
      "pages/order/main",
      "pages/cart/main",
      "pages/mappage/main",
      "pages/collectlist/main",
      "pages/addressSelect/main",
      "pages/addaddress/main",
      "pages/address/main",
      "^pages/index/main",
      "pages/search/main", "pages/my/main",
      "pages/login/main",
      "pages/category/main",
      "pages/categorylist/main",
      "pages/topic/main",
      "pages/goods/main",
      "pages/logs/main",
      "pages/branddetail/main",
      "pages/brandlist/main",
      "pages/newgoods/main",
      "pages/practice/main",
      "pages/topicdetail/main",
      "pages/shopguide/main",
      "pages/shopdetail/main",
      "pages/trainlist/main",
      "pages/traindetail/main",
      "pages/moment/main",
      "pages/favoriteshop/main",
      "pages/favoritecourse/main",
      "pages/post/main",
      "pages/hot/main",
      "pages/orderlist/main",
      "pages/recommend/main",
      "pages/recommendDetail/main"
    ],
    "window": {
      "backgroundTextStyle": "light",
      // "navigationBarBackgroundColor": "#FF3333",#5396EF #ed6278
      "navigationBarBackgroundColor": "#9D5FFE",
      "navigationBarTitleText": "华东国际美博城",
      "navigationBarTextStyle": "white"
    },
    "tabBar": {
      "backgroundColor": "#fafafa",
      "borderStyle": "white",
      // "selectedColor": "#FF3333",
      "selectedColor": "#ed6278",
      // "color": "#FC633E",
      "list": [{
        "pagePath": "pages/index/main",
        "iconPath": "static/images/shouye1.png",
        // "selectedIconPath": "static/images/index_pressed.png",
        "selectedIconPath": "static/images/shouye2.png",
        "text": "首页"
      },
      {
        "pagePath": "pages/shopguide/main",
        "iconPath": "static/images/fenlei1.png",
        // "selectedIconPath": "static/images/category_pressed.png",
        "selectedIconPath": "static/images/fenlei2.png",
        "text": "商户"
      },
      // {
      //   "pagePath": "pages/category/main",
      //   "iconPath": "static/images/ic_menu_sort_nor.png",
      //   "selectedIconPath": "static/images/ic_menu_sort_pressed.png",
      //   "text": "分类"
      // },
      {
        "pagePath": "pages/cart/main",
        "iconPath": "static/images/gouwuche1.png",
        "selectedIconPath": "static/images/gouwuche2.png",
        // "selectedIconPath": "static/images/shop_pressed.png",
        "text": "收藏夹"
      },
      {
        "pagePath": "pages/my/main",
        "iconPath": "static/images/wode1.png",
        "selectedIconPath": "static/images/wode2.png",
        // "selectedIconPath": "static/images/my_pressed.png",
        "text": "我的"
      }
      ]
    },
    "debug": true,
    "functionalPages": {
      "independent": true
    },
    "navigateToMiniProgramAppIdList": ["wxbe8f9e8060cd0476"],
    "permission": {
      "scope.userLocation": {
        "desc": "你的位置信息将用于小程序学习使用"
      }
    },
    "plugins": {
      "tencentvideo": {
        "version": "1.3.20",
        "provider": "wxa75efa648b60994b"
      },
      "live-player-plugin": {
        "version": "1.2.8",
        "provider": "wx2b03c6e691cd7370"
      }
      // "liveRoomPlugin": {
      //   "version": "1.2.1",
      //   "provider": "wx95a7d2b78cf30f98"
      // }
    }
  }
}
