// const host = process.env.API_BASE_URL

function formatNumber(n) {
  const str = n.toString();
  return str[1] ? str : `0${str}`;
}

export function formatSameTime(date) {
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();

  const hour = date.getHours();
  const minute = date.getMinutes();
  const second = date.getSeconds();

  const t1 = [year, month, day].map(formatNumber).join("-");
  const t2 = [hour, minute, second].map(formatNumber).join(":");

  return `${t1} ${t2}`;
}

export function formatTime(date) {
  const year = date.getFullYear();
  const month = date.getMonth() + 1;
  const day = date.getDate();

  const hour = date.getHours();
  const minute = date.getMinutes();
  const second = date.getSeconds();

  const t1 = [year, month, day].map(formatNumber).join("/");
  const t2 = [hour, minute, second].map(formatNumber).join(":");

  return `${t1} ${t2}`;
}

//-------------------------------------------------------------------------请求的封装
// const host = "http://118.25.222.68:5757/heyushuo";
// const host = "http://192.168.100.101:8078/api";
const host = process.env.API_BASE_URL;
// const host = "http://dev.xinwangdao.com/api";
export {
  host
};
//请求封装
function request(url, method, data, header = {}) {
  // wx.showLoading({
  //   title: "加载中" //数据请求前loading
  // });
  return new Promise((resolve, reject) => {
    wx.request({
      url: host + url, //仅为示例，并非真实的接口地址
      method: method,
      data: data,
      header: {
        "content-type": "application/json" // 默认值
      },
      success: function (res) {
        wx.hideLoading();
        switch (res.statusCode) {
          case 400:
            reject(res.data)
            break
          case 403:
            reject(res.data)
            break
          case 404:
            reject(res.data)
            break
          case 408:
            reject(res)
            break
          case 500:
            reject(res.data)
            break
          case 501:
            reject(res.data)
            break
          case 502:
            reject(res.data)
            break
          case 503:
            reject(res.data)
            break
          case 504:
            reject(res.data)
            break
          case 505:
            reject(res.data)
          case 401:
            reject(res.data)
            getRefresh()
            break;
          default:
            break;
        }
        resolve(res.data);
      },
      fail: function (error) {
        wx.hideLoading();
        reject(false);
      },
      complete: function () {
        wx.hideLoading();
      }
    });
  });
}
export function get(url, data) {
  return request(url, "GET", data);
}
export function post(url, data) {
  return request(url, "POST", data);
}

//-------------------------------------------------------------------------请求的封装

//----------------------------------------------用户是否登录 未登录跳转到登录页面 -------------------------

export function toLogin() {
  const userInfo = wx.getStorageSync("userInfo");
  if (!userInfo) {
    wx.navigateTo({
      url: "/pages/login/main"
    });
  } else {
    return true;
  }
}

export function login() {
  const userInfo = wx.getStorageSync("userInfo");
  if (userInfo) {
    return userInfo;
  }
}

//----------------------------------------------用户是否登录 未登录跳转到登录页面 -------------------------

export function getStorageOpenid() {
  const openId = wx.getStorageSync("openId");
  if (openId) {
    return openId;
  } else {
    return "";
  }
}
