const baseUrl = process.env.API_BASE_URL



const request = (url, params = {}) => {
  return new Promise((resolve, reject) => {
    try {
      wx.request({
        url: baseUrl + url,
        method: params.method || 'GET',
        data: params.data,
        header: {
          'Content-Type': params.type || 'application/json',
          'Accept': 'application/json',
        },
        timeout: 10000,
        success: (res) => {
          switch (res.statusCode) {
            case 400:
              reject(res)
              break
            case 403:
              reject(res)
              break
            case 404:
              reject(res)
              break
            case 408:
              reject(res)
              break
            case 500:
              reject(res)
              break
            case 501:
              reject(res)
              break
            case 502:
              reject(res)
              break
            case 503:
              reject(res)
              break
            case 504:
              reject(res)
              break
            case 505:
              reject(res)
            case 401:
              reject(res)
              getRefresh()
              break;
            default:
              break;
          }
          resolve(res)
        },
        fail: (res) => {
          reject(res)
        }
      })
    } catch (err) {
      resolve(err)
    }
  })

}


export default request
